Subject: bug#47533: closed (Re: bug#47533: bug in dejagnu 1.6.3-rc2)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Apr 2021 23:15:01 +0000

Your bug report

#47533: bug in dejagnu 1.6.3-rc2

which was filed against the dejagnu package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47533: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47533
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47533: bug in dejagnu 1.6.3-rc2
From: Jacob Bachmeyer <[email-masked]>
To: Tom Tromey <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Apr 2021 18:14:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Tom Tromey wrote:
>>> Usage: dejagnu <command> [--help|options...]
>>>       
>
> Jacob> So how should that be written in GNU convention?
> Jacob> "dejagnu COMMAND [ --help | OPTIONS... ]"?
>
> Yeah.
>   

Fixed in commit ea9642561c3f410dfb9f1362bc61fdf4e499b7f4 on the 
dejagnu-1.6.3 branch.

>>> Third, the use of tabs in the output makes it a bit weird to quote.
>>>       
>
> Jacob> This was done for convenience, including that the help texts are
> Jacob> actually read from the script files where they are "inset" using tabs.  
> Jacob> (The line "# ##help" in the dejagnu launcher script introduces its own
> Jacob> help text.)  What problems does this cause?
>
> None, it just looks unusual and then when I pasted it into the email, it
> indented very weirdly as well.

The "weird" indentation (unaffected by a small bit of left-edge text) is 
intentional in the script files, since the help messages are embedded in 
comments there.  I will consider possibly expanding tabs on output in a 
future version but this is not really a bug right now.

-- Jacob

Subject: bug in dejagnu 1.6.3-rc2
From: Tom Tromey <[email-masked]>
To: [email-masked]
Date: Wed, 31 Mar 2021 14:37:16 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

I tried dejagnu 1.6.3-rc2.  I ran "runtest" on a subset of the gdb test
suite, and this worked well.  Thank you.

I tried the new "dejagnu" command but noticed two things.

First in --help:

Usage: dejagnu <command> [--help|options...]
Usage: dejagnu --help
Usage: dejagnu --version
        --help			Print help text
        --version		Print DejaGnu version

The GNU norm is to use upper-case for "metasyntactic variables", so
normally it would say "dejagnu COMMAND [...]"

Second, either --help or running it without options should probably show
the available commands.

Third, the use of tabs in the output makes it a bit weird to quote.

thanks,
Tom